import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const pspSubmitPos = createAsyncThunk(
  "PSP_SUBMIT_POS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post("pos-machine/", d);
    dispatch(LOADING_END());

    return { data, status };
  }
);
